aaa.vo

## Class Incarico

- java.lang.Object
- - aaa.vo.Incarico

-     public class Incarico
      extends java.lang.Object

  Contiene i dati di dettaglio dell'incarico

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `codAmministrazione` Codice della amministrazione presso cui l'operatore lavora, elemento obbligatorio.
    `(package private) java.lang.String` | `codRuoloIstituzionale` Codice indicante il ruolo istituzionale rivestito dall'operatore, elemento obbligatorio.
    `(package private) java.lang.String` | `codStruttura` Codice della struttura presso cui l'operatore lavora, elemento obbligatorio.
    `(package private) java.lang.String` | `descAmministrazione` Descrizione della amministrazione presso cui l'operatore lavora, elemento obbligatorio.
    `(package private) java.lang.String` | `descRuoloIstituzionale` Descrizione del ruolo istituzionale rivestito dall'operatore, elemento obbligatorio.
    `(package private) java.lang.String` | `descStruttura` Descrizione della struttura presso cui l'operatore lavora, elemento obbligatorio.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Incarico()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodAmministrazione()`
    `java.lang.String` | `getCodRuoloIstituzionale()`
    `java.lang.String` | `getCodStruttura()`
    `java.lang.String` | `getDescAmministrazione()`
    `java.lang.String` | `getDescRuoloIstituzionale()`
    `java.lang.String` | `getDescStruttura()`
    `void` | `setCodAmministrazione(java.lang.String codAmministrazione)`
    `void` | `setCodRuoloIstituzionale(java.lang.String codRuoloIstituzionale)`
    `void` | `setCodStruttura(java.lang.String codStruttura)`
    `void` | `setDescAmministrazione(java.lang.String descAmministrazione)`
    `void` | `setDescRuoloIstituzionale(java.lang.String descRuoloIstituzionale)`
    `void` | `setDescStruttura(java.lang.String descStruttura)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codRuoloIstituzionale

          java.lang.String codRuoloIstituzionale

      Codice indicante il ruolo istituzionale rivestito dall'operatore, elemento obbligatorio.

    - #### descRuoloIstituzionale

          java.lang.String descRuoloIstituzionale

      Descrizione del ruolo istituzionale rivestito dall'operatore, elemento obbligatorio.

    - #### codStruttura

          java.lang.String codStruttura

      Codice della struttura presso cui l'operatore lavora, elemento obbligatorio.

    - #### descStruttura

          java.lang.String descStruttura

      Descrizione della struttura presso cui l'operatore lavora, elemento obbligatorio.

    - #### codAmministrazione

          java.lang.String codAmministrazione

      Codice della amministrazione presso cui l'operatore lavora, elemento obbligatorio.

    - #### descAmministrazione

          java.lang.String descAmministrazione

      Descrizione della amministrazione presso cui l'operatore lavora, elemento obbligatorio.

  - ### Constructor Detail

    - #### Incarico

          public Incarico()

  - ### Method Detail

    - #### getCodAmministrazione

          public java.lang.String getCodAmministrazione()

    - #### setCodAmministrazione

          public void setCodAmministrazione(java.lang.String codAmministrazione)

    - #### getCodRuoloIstituzionale

          public java.lang.String getCodRuoloIstituzionale()

    - #### setCodRuoloIstituzionale

          public void setCodRuoloIstituzionale(java.lang.String codRuoloIstituzionale)

    - #### getCodStruttura

          public java.lang.String getCodStruttura()

    - #### setCodStruttura

          public void setCodStruttura(java.lang.String codStruttura)

    - #### getDescAmministrazione

          public java.lang.String getDescAmministrazione()

    - #### setDescAmministrazione

          public void setDescAmministrazione(java.lang.String descAmministrazione)

    - #### getDescRuoloIstituzionale

          public java.lang.String getDescRuoloIstituzionale()

    - #### setDescRuoloIstituzionale

          public void setDescRuoloIstituzionale(java.lang.String descRuoloIstituzionale)

    - #### getDescStruttura

          public java.lang.String getDescStruttura()

    - #### setDescStruttura

          public void setDescStruttura(java.lang.String descStruttura)